- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# TMode_Rec Struct Reference

`#include <ogDisplay_VESA.h>`

## Public Member Functions
uInt8 paddington[461] | __attribute__ ((packed))
uInt16 OffScreenMemSize | __attribute__ ((packed))
void *OffScreenMemOffset | __attribute__ ((packed))
uInt32 physBasePtr | __attribute__ ((packed))
uInt8 DirectColourMode | __attribute__ ((packed))
uInt8 AlphaFieldPosition | __attribute__ ((packed))
uInt8 AlphaMaskSize | __attribute__ ((packed))
uInt8 BlueFieldPosition | __attribute__ ((packed))
uInt8 BlueMaskSize | __attribute__ ((packed))
uInt8 GreenFieldPosition | __attribute__ ((packed))
uInt8 GreenMaskSize | __attribute__ ((packed))
uInt8 RedFieldPosition | __attribute__ ((packed))
uInt8 RedMaskSize | __attribute__ ((packed))
uInt8 Reserved | __attribute__ ((packed))
uInt8 NumOfImagePages | __attribute__ ((packed))
uInt8 BankSize | __attribute__ ((packed))
uInt8 MemoryModel | __attribute__ ((packed))
uInt8 NumberOfBanks | __attribute__ ((packed))
uInt8 BitsPerPixel | __attribute__ ((packed))
uInt8 NumBitPlanes | __attribute__ ((packed))
uInt8 CharHeight | __attribute__ ((packed))
uInt8 CharWidth | __attribute__ ((packed))
uInt16 yRes | __attribute__ ((packed))
uInt16 xRes | __attribute__ ((packed))
uInt16 BytesPerLine | __attribute__ ((packed))
void *BankSwitch | __attribute__ ((packed))
uInt16 WindowBSeg | __attribute__ ((packed))
uInt16 WindowASeg | __attribute__ ((packed))
uInt16 WindowSize | __attribute__ ((packed))
uInt16 Granularity | __attribute__ ((packed))
uInt8 WindowBFlags | __attribute__ ((packed))
uInt8 WindowAFlags | __attribute__ ((packed))
uInt16 ModeAttributes | __attribute__ ((packed))

## Detailed Description

Definition at line 6 of file ogDisplay_VESA.h.

## Member Function Documentation

uInt8 paddington [461] TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 OffScreenMemSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

void* OffScreenMemOffset TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 physBasePtr TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 DirectColourMode TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 AlphaFieldPosition TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 AlphaMaskSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 BlueFieldPosition TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 BlueMaskSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 GreenFieldPosition TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 GreenMaskSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 RedFieldPosition TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 RedMaskSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 Reserved TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 NumOfImagePages TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 BankSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 MemoryModel TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 NumberOfBanks TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 BitsPerPixel TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 NumBitPlanes TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 CharHeight TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 CharWidth TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 yRes TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 xRes TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 BytesPerLine TMode_Rec::__attribute__ | ( | (packed) |  | ) |

void* BankSwitch TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 WindowBSeg TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 WindowASeg TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 WindowSize TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 Granularity TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 WindowBFlags TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 WindowAFlags TMode_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 ModeAttributes TMode_Rec::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/include/objgfx/ogDisplay_VESA.h